<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;	

	$check = DB :: $dbh -> queryFetch("SELECT CK,email_act,id,email FROM user WHERE email_act = ?  LIMIT 1;", array($id));	
	
	if (empty($check))system::header('/','Ошибка, E-mail не подтвержден');

	if ($check['email_act'] == 0)system::header('/','Ошибка, E-mail подтвержден до этого');

	DB :: $dbh -> query("UPDATE user SET email_act = 0 WHERE id = ? LIMIT 1;", array($check['id']));	

	cache_user::save($check['CK']);	

	$message = '
	E-mail подтвержден в рейтинге сайтов '.domain.'</br></br>
	С уважением, администрация рейтинга '.domain.'.	
	';	
	
	mail::send($check['email'], ''.domain.' E-mail подтвержден', ''.$message.'');

	system::header('/',' E-mail подтвержден!',1,1);	
?>